Extend Demo Storefront
curl --request POST \
--url https://api.interchange.io/api/v2/storefront/demo/extend \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"days": 7
}'import requests
url = "https://api.interchange.io/api/v2/storefront/demo/extend"
payload = { "days": 7 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({days: 7})
};
fetch('https://api.interchange.io/api/v2/storefront/demo/extend', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"demo": {
"mode": "DEMO",
"storefrontId": "<string>",
"customerId": 0,
"profileId": "sample-publisher-display",
"profileVersion": "<string>",
"profileDisplayName": "<string>",
"fixturePackId": "<string>",
"fixturePackVersion": "<string>",
"generation": 4503599627370496,
"expiresAt": "2023-11-07T05:31:56Z",
"lastResetAt": "2023-11-07T05:31:56Z",
"cleanupAttemptCount": 4503599627370495,
"cleanupError": "<string>",
"disclosure": "<string>",
"sourceId": "<string>",
"sources": [
{
"recipeVersion": "<string>",
"sourceId": "<string>",
"displayName": "<string>",
"synthetic": true
}
],
"synthetic": true
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Storefront
Extend Demo Storefront
Extend the Demo Storefront lease by one to seven days.
POST
/
demo
/
extend
Extend Demo Storefront
curl --request POST \
--url https://api.interchange.io/api/v2/storefront/demo/extend \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"days": 7
}'import requests
url = "https://api.interchange.io/api/v2/storefront/demo/extend"
payload = { "days": 7 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({days: 7})
};
fetch('https://api.interchange.io/api/v2/storefront/demo/extend', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"demo": {
"mode": "DEMO",
"storefrontId": "<string>",
"customerId": 0,
"profileId": "sample-publisher-display",
"profileVersion": "<string>",
"profileDisplayName": "<string>",
"fixturePackId": "<string>",
"fixturePackVersion": "<string>",
"generation": 4503599627370496,
"expiresAt": "2023-11-07T05:31:56Z",
"lastResetAt": "2023-11-07T05:31:56Z",
"cleanupAttemptCount": 4503599627370495,
"cleanupError": "<string>",
"disclosure": "<string>",
"sourceId": "<string>",
"sources": [
{
"recipeVersion": "<string>",
"sourceId": "<string>",
"displayName": "<string>",
"synthetic": true
}
],
"synthetic": true
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}⌘I